html{
    scroll-behavior: smooth;
}
::selection{
    background: var(--accent);
    color: var(--dark);
}
button,
a{
    transition: 0.3s ease;
}
img{
    transition: 0.4s ease;
}
img:hover{
    transform: scale(1.02);
}
button:focus,
input:focus,
textarea:focus,
a:focus{
    outline: none;
}
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}
html{
    scroll-behavior:smooth;
}
body{
    overflow-x:hidden;
}
:root{
    --primary:#0A3D62;
    --secondary:#1E5F9E;
    --accent:#F4B400;
    --dark:#1B1B1B;
    --white:#FFFFFF;
    --light:#F5F7FA;
    --gray:#6B7280;
    --shadow:0 15px 40px rgba(0,0,0,.08);
    --transition:.35s ease;
    --radius:12px;
}
body{
    font-family:'Open Sans',sans-serif;
    color:var(--dark);
    background:var(--white);
    line-height:1.7;
}
h1,
h2,
h3,
h4,
h5{
    font-family:'Poppins',sans-serif;
    color:var(--dark);
    font-weight:700;
}
p{
    color:var(--gray);
}
a{
    text-decoration:none;
}
ul{
    list-style:none;
}
img{
    width:100%;
    display:block;
}

.container{
    width:90%;
    max-width:1200px;
    margin:auto;
}

section{
    padding:100px 0;
}
.section-header{
    text-align:center;
    margin-bottom:60px;
}
.section-tag{
    display:inline-block;
    color:var(--secondary);
    font-weight:700;
    text-transform:uppercase;
    letter-spacing:2px;
    margin-bottom:15px;
}
.section-header h2{
    font-size:42px;
    margin-bottom:20px;
}
.section-header p{
    width:70%;
    margin:auto;
}
.btn-primary{
    display:inline-block;
    background:var(--secondary);
    color:var(--white);
    padding:16px 36px;
    border-radius:50px;
    transition:var(--transition);
    font-weight:600;
}
.btn-primary:hover{
    background:var(--primary);
    transform:translateY(-4px);
}
.btn-secondary{
    display:inline-block;
    border:2px solid var(--secondary);
    color:var(--secondary);
    padding:16px 36px;
    border-radius:50px;
    transition:var(--transition);
    font-weight:600;
}
.btn-secondary:hover{
    background:var(--secondary);
    color:white;
}
header{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    z-index:1000;
    background:rgba(10,61,98,.90);
    backdrop-filter:blur(15px);
    transition:.4s;
}
nav{
    display:flex;
    justify-content:space-between;
    align-items:center;
    height:85px;
}
.logo{
    font-size:32px;
    font-weight:800;
    font-family:'Poppins',sans-serif;
    color:var(--white);
    letter-spacing:1px;
}
.logo span{
    color:var(--accent);
}
.nav-links{
    display:flex;
    align-items:center;
    gap:35px;
}
.nav-links a{
    color:white;
    font-weight:600;
    position:relative;
    transition:var(--transition);
}
.nav-links a::after{
    content:"";
    position:absolute;
    left:0;
    bottom:-8px;
    width:0;
    height:3px;
    background:var(--accent);
    transition:.4s;
}
.nav-links a:hover::after{
    width:100%;
}
.nav-links a:hover{
    color:var(--accent);
}
.nav-btn{
    background:var(--accent);
    color:var(--dark);
    padding:14px 30px;
    border-radius:40px;
    font-weight:700;
    transition:var(--transition);
}
.nav-btn:hover{
    transform:translateY(-4px);
    box-shadow:0 10px 30px rgba(0,0,0,.15);
}
.hero{
    min-height:100vh;
    background:
    linear-gradient(rgba(10,61,98,.92),
    rgba(10,61,98,.92)),
    url("../assets/home-page.jpg");
    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
    display:flex;
    align-items:center;
    width: 100%;
}
.hero-overlay{
    width: 100%;
}
.impact{
    background:var(--primary);
    color:var(--white);
}
.impact-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:30px;
    text-align:center;
}
.impact-card{
    padding:35px 20px;
}
.impact-card h2{
    color:var(--accent);
    font-size:48px;
    margin-bottom:10px;
}
.impact-card p{
    color:#E5E7EB;
    font-size:16px;
}
.why-partner{
    background:var(--light);
}
.partner-grid{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:60px;
    align-items:center;
}
.partner-image img{
    border-radius:20px;
    box-shadow:var(--shadow);
}
.partner-content h2{
    font-size:42px;
    margin-bottom:25px;
}
.partner-content p{
    margin-bottom:20px;
}
.partner-features{
    margin-top:30px;
}
.partner-features li{
    margin-bottom:18px;
    font-weight:600;
    color:var(--dark);
    display:flex;
    align-items:center;
    gap:12px;
}
.feature-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:30px;
    margin-top:70px;
}
.feature-card{
    background:var(--white);
    padding:35px;
    border-radius:16px;
    box-shadow:var(--shadow);
    transition:var(--transition);
}
.feature-card:hover{
    transform:translateY(-10px);
}
.feature-card h3{
    margin:20px 0;
}
.feature-card p{
    margin-bottom:15px;
}
.card{
    transition:var(--transition);
}
.card:hover{
    transform:translateY(-10px);
    box-shadow:0 20px 45px rgba(0,0,0,.12);
}
.services{
    background:var(--white);
}
.services-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:35px;
    margin-top:60px;
}
.service-card{
    background:var(--white);
    padding:40px 30px;
    border-radius:18px;
    box-shadow:var(--shadow);
    transition:var(--transition);
    border-top:5px solid transparent;
}
.service-card:hover{
    transform:translateY(-12px);
    border-top:5px solid var(--accent);
    box-shadow:0 25px 45px rgba(0,0,0,.12);
}
.service-icon{
    width:75px;
    height:75px;
    background:var(--primary);
    color:var(--white);
    display:flex;
    justify-content:center;
    align-items:center;
    border-radius:50%;
    font-size:30px;
    margin-bottom:25px;
    transition:var(--transition);
}
.service-card:hover .service-icon{
    background:var(--accent);
    color:var(--dark);
}
.service-card h3{
    margin-bottom:18px;
    font-size:26px;
}
.service-card p{
    margin-bottom:25px;
    line-height:1.8;
}
.service-card a{
    color:var(--secondary);
    font-weight:700;
    transition:var(--transition);
}
.service-card a:hover{
    color:var(--accent);
}
.service-card{
    overflow:hidden;
    position:relative;
}
.service-card::before{
    content:"";
    position:absolute;
    top:0;
    left:-100%;
    width:100%;
    height:4px;
    background:var(--accent);
    transition:.5s;
}
.service-card:hover::before{
    left:0;
} 
.testimonials{
    background:var(--light);
}
.testimonial-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:35px;
}
.testimonial-card{
    background:var(--white);
    padding:35px;
    border-radius:18px;
    box-shadow:var(--shadow);
    transition:var(--transition);
}
.testimonial-card:hover{
    transform:translateY(-10px);
}
.testimonial-card p{
    font-style:italic;
    margin-bottom:25px;
}
.client{
    display:flex;
    align-items:center;
    gap:15px;
}
.client img{
    width:70px;
    height:70px;
    border-radius:50%;
    object-fit:cover;
}
.client h4{
    margin-bottom:5px;
}
.client span{
    color:var(--gray);
    font-size:14px;
}
.cta{
    background:var(--primary);
    color:var(--white);
    text-align:center;
}
.cta h2{
    color:var(--white);
    font-size:48px;
    margin-bottom:25px;
}
.cta p{
    color:#E5E7EB;
    width:70%;
    margin:auto;
    margin-bottom:40px;
}
.cta-buttons{
    display:flex;
    justify-content:center;
    gap:20px;
    flex-wrap:wrap;
}
footer{
    background:#071E36;
    color:white;
    padding:70px 0 30px;
}
.footer-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:40px;
}
.footer-logo{
    font-size:32px;
    font-family:'Poppins',sans-serif;
    font-weight:700;
    margin-bottom:20px;
}
.footer-links li{
    margin-bottom:15px;
}
.footer-links a{
    color:#D1D5DB;
    transition:var(--transition);
}
.footer-links a:hover{
    color:var(--accent);
}
.footer-bottom{
    margin-top:60px;
    padding-top:25px;
    border-top:1px solid rgba(255,255,255,.15);
    text-align:center;
    color:#D1D5DB;
} 
.about-hero{
    min-height:65vh;
    background:
    linear-gradient(rgba(10,61,98,.85),
    rgba(10,61,98,.85)),
    url("../assets/About\ Banner.jpg");
    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
    display:flex;
    align-items:center;
    text-align:center;
    color:var(--white);
}
.about-hero h1{
    font-size:60px;
    color:var(--white);
    margin-bottom:20px;
}
.about-hero p{
    color:#E5E7EB;
    max-width:700px;
    margin:auto;
    font-size:18px;
}
.our-story{
    background:var(--white);
}
.story-grid{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:60px;
    align-items:center;
}
.story-image img{
    border-radius:20px;
    box-shadow:var(--shadow);
}
.story-content h2{
    font-size:42px;
    margin-bottom:25px;
}
.story-content p{
    margin-bottom:20px;
}
.mission-vision{
    background:var(--light);
}
.mv-grid{
    display:grid;
    grid-template-columns:repeat(2,1fr);
    gap:40px;
}
.mv-card{
    background:var(--white);
    padding:40px;
    border-radius:18px;
    box-shadow:var(--shadow);
    transition:var(--transition);
}
.mv-card:hover{
    transform:translateY(-10px);
}
.mv-card h3{
    margin-bottom:20px;
}
.values-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:30px;
}
.value-card{
    background:var(--white);
    padding:35px;
    text-align:center;
    border-radius:18px;
    box-shadow:var(--shadow);
    transition:var(--transition);
}
.value-card:hover{
    transform:translateY(-10px);
}
.value-icon{
    width:80px;
    height:80px;
    margin:auto;
    margin-bottom:25px;
    background:var(--primary);
    color:white;
    display:flex;
    justify-content:center;
    align-items:center;
    border-radius:50%;
    font-size:30px;
    transition:var(--transition);
}
.value-card:hover .value-icon{
    background:var(--accent);
    color:var(--dark);
}
.timeline{
    background:var(--light);
}
.timeline-item{
    background:var(--white);
    padding:35px;
    border-left:5px solid var(--accent);
    margin-bottom:30px;
    border-radius:12px;
    box-shadow:var(--shadow);
}
.timeline-item h3{
    margin-bottom:15px;
}
.services-hero{
    min-height:65vh;
    background:
    linear-gradient(rgba(10,61,98,.85),
    rgba(10,61,98,.85)),
    url("../assets/services\ banner.jpg");
    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
    display:flex;
    align-items:center;
    justify-content:center;
    text-align:center;
}
.services-hero h1{
    color:var(--white);
    font-size:60px;
    margin-bottom:20px;
}
.services-hero p{
    color:#E5E7EB;
    font-size:18px;
    max-width:700px;
    margin:auto;
}
.services-intro{
    background:var(--white);
}
.services-intro p{
    max-width:800px;
    margin:auto;
    text-align:center;
}
.service-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:35px;
    margin-top:60px;
}
.service-box{
    background:var(--white);
    padding:40px;
    border-radius:18px;
    box-shadow:var(--shadow);
    transition:var(--transition);
    text-align:center;
}
.service-box:hover{
    transform:translateY(-12px);
    box-shadow:0 25px 50px rgba(0,0,0,.15);
}
.service-box i{
    width:85px;
    height:85px;
    display:flex;
    justify-content:center;
    align-items:center;
    margin:auto;
    margin-bottom:25px;
    border-radius:50%;
    background:var(--primary);
    color:var(--white);
    font-size:32px;
    transition:var(--transition);
}
.service-box:hover i{
    background:var(--accent);
    color:var(--dark);
}
.service-box h3{
    margin-bottom:20px;
    font-size:28px;
}
.service-box p{
    margin-bottom:25px;
}

.process{
    background:var(--light);
}
.process-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:30px;
}
.process-card{
    background:var(--white);
    padding:35px;
    text-align:center;
    border-radius:18px;
    box-shadow:var(--shadow);
    transition:var(--transition);
}
.process-card:hover{
    transform:translateY(-10px);
}
.process-number{
    width:70px;
    height:70px;
    margin:auto;
    margin-bottom:25px;
    background:var(--accent);
    color:var(--dark);
    border-radius:50%;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:28px;
    font-weight:700;
}

.team-hero{
    min-height:65vh;
    background:
    linear-gradient(rgba(10,61,98,.85),
    rgba(10,61,98,.85)),
    url("../assets/team\ banner.jpg");
    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
    display:flex;
    align-items:center;
    justify-content:center;
    text-align:center;
}
.team-hero h1{
    color:var(--white);
    font-size:60px;
    margin-bottom:20px;
}
.team-hero p{
    color:#E5E7EB;
    font-size:18px;
    max-width:700px;
    margin:auto;
}

.team-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:30px;
    margin-top:60px;
}
.team-card{
    background:var(--white);
    border-radius:18px;
    overflow:hidden;
    box-shadow:var(--shadow);
    transition:var(--transition);
}
.team-card:hover{
    transform:translateY(-10px);
}
.team-card img{
    width:100%;
    height:320px;
    object-fit:cover;
}
.team-content{
    padding:30px;
    text-align:center;
}
.team-content h3{
    margin-bottom:10px;
    font-size:24px;
}
.team-content span{
    color:var(--secondary);
    font-weight:600;
}
.team-content p{
    margin-top:20px;
}
.team-social{
    display:flex;
    justify-content:center;
    gap:15px;
    margin-top:25px;
}
.team-social a{
    width:42px;
    height:42px;
    display:flex;
    justify-content:center;
    align-items:center;
    border-radius:50%;
    background:var(--primary);
    color:var(--white);
    transition:var(--transition);
}
.team-social a:hover{
    background:var(--accent);
    color:var(--dark);
}
.team-card:hover img{
    transform:scale(1.05);
    transition:.5s;
}

.contact-hero{
    min-height:65vh;
    background:
    linear-gradient(rgba(10,61,98,.85),
    rgba(10,61,98,.85)),
    url("../assets/contact\ banner.jpg");
    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
    display:flex;
    justify-content:center;
    align-items:center;
    text-align:center;
}
.contact-hero h1{
    color:var(--white);
    font-size:60px;
    margin-bottom:20px;
}
.contact-hero p{
    color:#E5E7EB;
    font-size:18px;
    max-width:700px;
    margin:auto;
}

.contact-grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:30px;
    margin-top:60px;
}
.contact-card{
    background:var(--white);
    text-align:center;
    padding:40px;
    border-radius:18px;
    box-shadow:var(--shadow);
    transition:var(--transition);
}
.contact-card:hover{
    transform:translateY(-10px);
}
.contact-card i{
    font-size:40px;
    color:var(--primary);
    margin-bottom:20px;
}
.hours-card{
    background:var(--white);
    max-width:700px;
    margin:50px auto;
    padding:40px;
    border-radius:18px;
    box-shadow:var(--shadow);
}
.hour{
    display:flex;
    justify-content:space-between;
    padding:18px 0;
    border-bottom:1px solid #eee;
}
.hour:last-child{
    border-bottom:none;
}

.contact-form{
    max-width:850px;
    margin:auto;
}
.form-group{
    margin-bottom:25px;
}
.contact-form input,
.contact-form textarea{
    width:100%;
    padding:18px;
    border:1px solid #ddd;
    border-radius:12px;
    font-size:16px;
    outline:none;
    transition:var(--transition);
}
.contact-form input:focus,
.contact-form textarea:focus{
    border-color:var(--secondary);
    box-shadow:0 0 0 3px rgba(30,95,158,.15);
}

.faq-item{
    background:var(--white);
    padding:30px;
    margin-bottom:25px;
    border-radius:15px;
    box-shadow:var(--shadow);
}
.faq-item h3{
    margin-bottom:15px;
} 
/* ===
   TABLET RESPONSIVE===
*/
@media (max-width:992px){
    .hero .container,
    .story-grid,
    .partner-grid{
        grid-template-columns:1fr;
        text-align:center;
    }
    .services-grid,
    .feature-grid,
    .values-grid,
    .team-grid,
    .testimonial-grid,
    .contact-grid,
    .process-grid,
    .footer-grid{
        grid-template-columns:repeat(2,1fr);
    }
    .hero-content h1{
        font-size:52px;
    }
}
/*====
   MOBILE RESPONSIVE======
*/
@media (max-width:768px){
    section{
        padding:70px 0;
    }
    .services-grid,
    .feature-grid,
    .values-grid,
    .team-grid,
    .testimonial-grid,
    .contact-grid,
    .process-grid,
    .footer-grid{
        grid-template-columns:1fr;
    }
    .hero-content h1{
        font-size:40px;
    }
    .section-header h2{
        font-size:34px;
    }
    .section-header p{
        width:100%;
    }
    .hero-buttons{
        flex-direction:column;
        align-items:center;
    }
}
/* =====
   SMALL DEVICES==
*/
@media (max-width:480px){
    .logo{
        font-size:24px;
    }
    .hero-content h1{
        font-size:32px;
    }
    .btn-primary,
    .btn-secondary{
        width:100%;
        text-align:center;
    }
}
img{
    max-width:100%;
    height:auto;
}
iframe,
video{
    max-width:100%;
}

.menu-toggle{
    display:none;
    flex-direction:column;
    gap:6px;
    cursor:pointer;
}
.menu-toggle span{
    width:28px;
    height:3px;
    background:var(--white);
    border-radius:5px;
    transition:var(--transition);
}
@media(max-width:768px){
    .menu-toggle{
        display:flex;
    }
    .nav-links{
        position:fixed;
        top:85px;
        right:-100%;
        width:280px;
        height:calc(100vh - 85px);
        background:var(--primary);
        flex-direction:column;
        justify-content:flex-start;
        align-items:center;
        padding-top:50px;
        gap:30px;
        transition:.4s;
    }
    .nav-links.active{
        right:0;
    }
}

#scrollTopBtn{
    position:fixed;
    bottom:30px;
    right:30px;
    width:55px;
    height:55px;
    border:none;
    border-radius:50%;
    background:var(--accent);
    color:var(--dark);
    font-size:22px;
    cursor:pointer;
    display:none;
    box-shadow:var(--shadow);
    transition:var(--transition);
    z-index:999;
}
#scrollTopBtn:hover{
    transform:translateY(-5px);
}
